For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Entities

Get Entity by ID

get

Returns metadata and system info for an entity by its ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Entity ID

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
get/api/public/v1/entities/{id}
GET /api/public/v1/entities/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "_id": "429e08d5-a6a2-4192-8f27-d2fdab8e6032",
    "_index": "pdc_entities",
    "name": "Track",
    "type": "TABLE",
    "createdAt": "2025-03-12T08:23:45.142Z",
    "updatedAt": "2025-03-12T08:32:03.744Z",
    "fqdn": "67d1447181538681cb57e71c/iotadb/chinook/Track",
    "rootId": "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
    "resourceId": "67d1447181538681cb57e71c",
    "system": {
      "scannedAt": "2025-03-12T08:23:44.342385860Z",
      "profiledAt": "2025-03-12T08:31:59.478636493Z",
      "session": "4e95ac17-6655-4c6e-9469-72a207a801a5"
    },
    "metadata": {
      "file": {},
      "table": {
        "type": "TABLE",
        "schemaName": "chinook",
        "catalogName": "iotadb",
        "databaseName": "iotadb",
        "relationships": [],
        "extended": {}
      },
      "stats": {
        "columns": 9,
        "rows": 3503
      }
    },
    "attributes": {}
  }
}

Update Entity Attributes

patch

Update attributes of an entity.

🚨 Note:

  • Array-type fields (e.g. tags) will fully replace existing values if provided.

  • Scalar fields (e.g. sensitivity, description) will overwrite the current value.

  • Object-type fields (e.g. info) will overwrite only the keys provided, keeping other keys unchanged.

Only the specified fields will be affected — other attributes remain untouched.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Entity ID

Body
Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
patch/api/public/v1/entities/{id}
PATCH /api/public/v1/entities/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "attributes": {
    "tags": [
      {
        "name": "migrated-data"
      },
      {
        "name": "test"
      }
    ]
  }
}
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "type": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "resourceId": "text",
    "resourceName": "text",
    "system": {
      "version": "text",
      "scannedAt": "2026-01-01T00:00:00.000Z",
      "profiledAt": "2026-01-01T00:00:00.000Z",
      "session": "text"
    },
    "metadata": {
      "resource": {
        "type": "text",
        "url": "text",
        "productName": "text",
        "productVersion": "text",
        "driverName": "text"
      },
      "dir": {
        "childDirs": 1,
        "childFiles": 1,
        "childDirSize": 1,
        "childFileSize": 1,
        "totalChildDirs": 1,
        "totalChildFiles": 1,
        "totalChildDirSize": 1,
        "totalChildFileSize": 1,
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "file": {
        "path": "text",
        "symLinkPath": "text",
        "bucket": "text",
        "extension": "text",
        "type": "text",
        "flags": 1,
        "owner": "text",
        "group": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "modifiedAt": "2026-01-01T00:00:00.000Z",
        "accessedAt": "2026-01-01T00:00:00.000Z",
        "firstKnownAccessedAt": "2026-01-01T00:00:00.000Z",
        "checksum": "text",
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "catalog": {
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "schema": {
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "table": {
        "type": "text",
        "typeName": "text",
        "kind": "text",
        "schemaName": "text",
        "schemaType": "text",
        "catalogName": "text",
        "catalogType": "text",
        "databaseName": "text",
        "relationships": [
          {
            "id": "text",
            "fqdn": "text",
            "name": "text",
            "type": "text",
            "primaryKeyId": "text",
            "primaryKeyFqdn": "text",
            "primaryKeyName": "text",
            "foreignKeyId": "text",
            "foreignKeyFqdn": "text",
            "foreignKeyName": "text"
          }
        ],
        "createdTime": "text",
        "lastDdlTime": "text",
        "selfReferencingColName": "text",
        "refGeneration": "text",
        "checkClause": "text",
        "owner": "text",
        "description": "text",
        "remarks": "text",
        "changeTracking": "text",
        "retentionTime": "text",
        "searchOptimization": "text",
        "usage": {
          "total": {
            "fetchedAt": "text",
            "readAt": "text",
            "writeAt": "text",
            "alterAt": "text",
            "readCount": 1,
            "writeCount": 1,
            "alterCount": 1
          },
          "users": [
            {
              "name": "text",
              "ok": {
                "fetchedAt": "text",
                "readAt": "text",
                "writeAt": "text",
                "alterAt": "text",
                "readCount": 1,
                "writeCount": 1,
                "alterCount": 1
              },
              "failed": {
                "fetchedAt": "text",
                "readAt": "text",
                "writeAt": "text",
                "alterAt": "text",
                "readCount": 1,
                "writeCount": 1,
                "alterCount": 1
              }
            }
          ]
        },
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "column": {
        "ordinalPosition": 1,
        "dataType": "text",
        "sqlDataType": "text",
        "typeName": "text",
        "reference": {
          "sourceDataType": "text",
          "scopeCatalog": "text",
          "scopeSchema": "text",
          "scopeTable": "text"
        },
        "isNullable": true,
        "isAutoIncrement": true,
        "isGeneratedColumn": true,
        "isPrimaryKey": true,
        "isForeignKey": true,
        "columnDefault": "text",
        "columnSize": 1,
        "bufferLength": 1,
        "decimalDigits": 1,
        "numPrecRadix": 1,
        "charOctetLength": 1,
        "sqlDateTimeSub": "text",
        "remarks": "text",
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "document": {
        "title": "text",
        "author": "text",
        "subject": "text",
        "language": "text",
        "keywords": "text",
        "application": "text",
        "producer": "text",
        "company": "text",
        "version": "text",
        "checksum": "text",
        "documentSize": 1,
        "pageSize": 1,
        "pages": 1,
        "paragraphs": 1,
        "lines": 1,
        "words": 1,
        "characters": 1,
        "charactersWithSpaces": 1,
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "stats": {
        "schemas": 1,
        "tables": 1,
        "columns": 1,
        "rows": 1,
        "bytes": 1,
        "nulls": 1,
        "blanks": 1,
        "zeros": 1,
        "cardinality": 1,
        "avgLength": 1,
        "minLength": 1,
        "maxLength": 1,
        "stdevLength": 1,
        "avgValue": 1,
        "minValue": 1,
        "maxValue": 1,
        "stdevValue": 1,
        "density": 1,
        "selectivity": 1,
        "uniqueness": 1,
        "lexicalMin": "text",
        "lexicalMax": "text"
      },
      "status": {
        "filterFlags": 1,
        "scan": "text",
        "checksum": "text",
        "docMetadata": "text",
        "profile": "text",
        "contentScan": "text"
      }
    },
    "attributes": {
      "info": {
        "description": "text"
      },
      "features": {
        "sensitivity": "text",
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "qualityScore": 1,
        "trustScore": {
          "value": 1,
          "type": "text",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isCriticalDataElement": true,
        "isLineageVerified": true
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "type": "text",
          "value": "text",
          "sourceName": "text",
          "targetName": "text",
          "confidenceScore": 1
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text",
          "sourceName": "text",
          "sourceType": "text",
          "confidenceScore": 1
        }
      ],
      "owners": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "contentScanDiscoveries": [
        {
          "id": "text",
          "type": "text",
          "value": "text",
          "count": 1,
          "locations": "text"
        }
      ],
      "dataCollections": [
        {
          "id": "text"
        }
      ],
      "extended": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  }
}

Get Entities by IDs

post

Returns array of metadata and system info for entities by their IDs

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
idsstring · uuid[] · min: 1Required

Array of entity IDs

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v1/entities/by-ids
POST /api/public/v1/entities/by-ids HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "429e08d5-a6a2-4192-8f27-d2fdab8e6032"
  ]
}
{
  "status": 200,
  "data": [
    {
      "_id": "429e08d5-a6a2-4192-8f27-d2fdab8e6032",
      "_index": "pdc_entities",
      "name": "Track",
      "type": "TABLE",
      "createdAt": "2025-03-12T08:23:45.142Z",
      "updatedAt": "2025-03-12T08:32:03.744Z",
      "fqdn": "67d1447181538681cb57e71c/iotadb/chinook/Track",
      "rootId": "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "resourceId": "67d1447181538681cb57e71c",
      "system": {
        "scannedAt": "2025-03-12T08:23:44.342385860Z",
        "profiledAt": "2025-03-12T08:31:59.478636493Z",
        "session": "4e95ac17-6655-4c6e-9469-72a207a801a5"
      },
      "metadata": {
        "file": {},
        "table": {
          "type": "TABLE",
          "schemaName": "chinook",
          "catalogName": "iotadb",
          "databaseName": "iotadb",
          "relationships": [],
          "extended": {}
        },
        "stats": {
          "columns": 9,
          "rows": 3503
        }
      },
      "attributes": {}
    },
    {
      "_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "_index": "pdc_entities",
      "name": "Album",
      "type": "TABLE",
      "createdAt": "2025-03-12T08:23:45.142Z",
      "updatedAt": "2025-03-12T08:32:03.744Z",
      "fqdn": "67d1447181538681cb57e71c/iotadb/chinook/Album",
      "rootId": "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "resourceId": "67d1447181538681cb57e71c",
      "system": {
        "scannedAt": "2025-03-12T08:23:44.342385860Z",
        "profiledAt": "2025-03-12T08:31:59.478636493Z",
        "session": "4e95ac17-6655-4c6e-9469-72a207a801a5"
      },
      "metadata": {
        "file": {},
        "table": {
          "type": "TABLE",
          "schemaName": "chinook",
          "catalogName": "iotadb",
          "databaseName": "iotadb",
          "relationships": [],
          "extended": {}
        },
        "stats": {
          "columns": 3,
          "rows": 347
        }
      },
      "attributes": {}
    }
  ]
}

Filter Entities

post

Returns array of entities filtered by criteria with pagination support

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body

At least one filter must be provided

pageinteger · min: 1Optional

Page number for pagination (starts from 1)

Default: 1
perPageinteger · min: 1 · max: 10000Optional

Number of items per page (max 1000)

Default: 100
Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v1/entities/filter
POST /api/public/v1/entities/filter HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "filters": {
    "parentIds": [
      "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    ]
  }
}
{
  "status": 200,
  "data": [
    {
      "_id": "123e4567-e89b-12d3-a456-426614174000",
      "_index": "text",
      "name": "text",
      "type": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "rootId": "123e4567-e89b-12d3-a456-426614174000",
      "resourceId": "text",
      "resourceName": "text",
      "system": {
        "version": "text",
        "scannedAt": "2026-01-01T00:00:00.000Z",
        "profiledAt": "2026-01-01T00:00:00.000Z",
        "session": "text"
      },
      "metadata": {
        "resource": {
          "type": "text",
          "url": "text",
          "productName": "text",
          "productVersion": "text",
          "driverName": "text"
        },
        "dir": {
          "childDirs": 1,
          "childFiles": 1,
          "childDirSize": 1,
          "childFileSize": 1,
          "totalChildDirs": 1,
          "totalChildFiles": 1,
          "totalChildDirSize": 1,
          "totalChildFileSize": 1,
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "file": {
          "path": "text",
          "symLinkPath": "text",
          "bucket": "text",
          "extension": "text",
          "type": "text",
          "flags": 1,
          "owner": "text",
          "group": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "modifiedAt": "2026-01-01T00:00:00.000Z",
          "accessedAt": "2026-01-01T00:00:00.000Z",
          "firstKnownAccessedAt": "2026-01-01T00:00:00.000Z",
          "checksum": "text",
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "catalog": {
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "schema": {
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "table": {
          "type": "text",
          "typeName": "text",
          "kind": "text",
          "schemaName": "text",
          "schemaType": "text",
          "catalogName": "text",
          "catalogType": "text",
          "databaseName": "text",
          "relationships": [
            {
              "id": "text",
              "fqdn": "text",
              "name": "text",
              "type": "text",
              "primaryKeyId": "text",
              "primaryKeyFqdn": "text",
              "primaryKeyName": "text",
              "foreignKeyId": "text",
              "foreignKeyFqdn": "text",
              "foreignKeyName": "text"
            }
          ],
          "createdTime": "text",
          "lastDdlTime": "text",
          "selfReferencingColName": "text",
          "refGeneration": "text",
          "checkClause": "text",
          "owner": "text",
          "description": "text",
          "remarks": "text",
          "changeTracking": "text",
          "retentionTime": "text",
          "searchOptimization": "text",
          "usage": {
            "total": {
              "fetchedAt": "text",
              "readAt": "text",
              "writeAt": "text",
              "alterAt": "text",
              "readCount": 1,
              "writeCount": 1,
              "alterCount": 1
            },
            "users": [
              {
                "name": "text",
                "ok": {
                  "fetchedAt": "text",
                  "readAt": "text",
                  "writeAt": "text",
                  "alterAt": "text",
                  "readCount": 1,
                  "writeCount": 1,
                  "alterCount": 1
                },
                "failed": {
                  "fetchedAt": "text",
                  "readAt": "text",
                  "writeAt": "text",
                  "alterAt": "text",
                  "readCount": 1,
                  "writeCount": 1,
                  "alterCount": 1
                }
              }
            ]
          },
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "column": {
          "ordinalPosition": 1,
          "dataType": "text",
          "sqlDataType": "text",
          "typeName": "text",
          "reference": {
            "sourceDataType": "text",
            "scopeCatalog": "text",
            "scopeSchema": "text",
            "scopeTable": "text"
          },
          "isNullable": true,
          "isAutoIncrement": true,
          "isGeneratedColumn": true,
          "isPrimaryKey": true,
          "isForeignKey": true,
          "columnDefault": "text",
          "columnSize": 1,
          "bufferLength": 1,
          "decimalDigits": 1,
          "numPrecRadix": 1,
          "charOctetLength": 1,
          "sqlDateTimeSub": "text",
          "remarks": "text",
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "document": {
          "title": "text",
          "author": "text",
          "subject": "text",
          "language": "text",
          "keywords": "text",
          "application": "text",
          "producer": "text",
          "company": "text",
          "version": "text",
          "checksum": "text",
          "documentSize": 1,
          "pageSize": 1,
          "pages": 1,
          "paragraphs": 1,
          "lines": 1,
          "words": 1,
          "characters": 1,
          "charactersWithSpaces": 1,
          "extended": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "stats": {
          "schemas": 1,
          "tables": 1,
          "columns": 1,
          "rows": 1,
          "bytes": 1,
          "nulls": 1,
          "blanks": 1,
          "zeros": 1,
          "cardinality": 1,
          "avgLength": 1,
          "minLength": 1,
          "maxLength": 1,
          "stdevLength": 1,
          "avgValue": 1,
          "minValue": 1,
          "maxValue": 1,
          "stdevValue": 1,
          "density": 1,
          "selectivity": 1,
          "uniqueness": 1,
          "lexicalMin": "text",
          "lexicalMax": "text"
        },
        "status": {
          "filterFlags": 1,
          "scan": "text",
          "checksum": "text",
          "docMetadata": "text",
          "profile": "text",
          "contentScan": "text"
        }
      },
      "attributes": {
        "info": {
          "description": "text"
        },
        "features": {
          "sensitivity": "text",
          "rating": {
            "value": 1,
            "users": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "qualityScore": 1,
          "trustScore": {
            "value": 1,
            "type": "text",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "isCriticalDataElement": true,
          "isLineageVerified": true
        },
        "customProperties": [
          {
            "id": "text",
            "value": "text"
          }
        ],
        "tags": [
          {
            "name": "text",
            "type": "text",
            "value": "text",
            "sourceName": "text",
            "targetName": "text",
            "confidenceScore": 1
          }
        ],
        "businessTerms": [
          {
            "id": "text",
            "glossaryId": "text",
            "name": "text",
            "sourceName": "text",
            "sourceType": "text",
            "confidenceScore": 1
          }
        ],
        "owners": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "policies": [
          {
            "id": "text"
          }
        ],
        "mlModels": [
          {
            "id": "text"
          }
        ],
        "applications": [
          {
            "id": "text"
          }
        ],
        "physicalAssets": [
          {
            "id": "text"
          }
        ],
        "contentScanDiscoveries": [
          {
            "id": "text",
            "type": "text",
            "value": "text",
            "count": 1,
            "locations": "text"
          }
        ],
        "dataCollections": [
          {
            "id": "text"
          }
        ],
        "extended": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    }
  ],
  "pageInfo": {
    "currentPage": 1,
    "perPage": 1000,
    "totalCount": 150,
    "pageCount": 15
  }
}

Get Profiling Information by Entity IDs

post

Returns profiling statistics for a list of entities by their IDs, including stats, sampling, pattern analysis, and countDistinct values.

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
idsstring · uuid[] · min: 1Required

Array of entity IDs

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v1/entities/by-ids/profiling-info
POST /api/public/v1/entities/by-ids/profiling-info HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "status": 200,
  "data": [
    {
      "_id": "text",
      "name": "text",
      "type": "text",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "rootId": "text",
      "parentId": "text",
      "resourceId": "text",
      "resourceName": "text",
      "dataCollections": [
        {
          "id": "text"
        }
      ],
      "profilingInfo": {
        "_id": "text",
        "connectionStringType": "text",
        "dbtype": "text",
        "bindType": "text",
        "lastUpdate": "2026-01-01T00:00:00.000Z",
        "inputFilter": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "stats": {
          "rowCount": 1,
          "nullCount": 1,
          "blankCount": 1,
          "min": 1,
          "max": 1,
          "nonNullCount": 1,
          "average": 1,
          "stdev": 1,
          "density": 1,
          "selectivity": 1,
          "uniqueness": 1,
          "lexicalMin": "text",
          "lexicalMax": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "bitset": "text",
        "bitsetCardinality": 1,
        "bitsetTotalCount": 1,
        "bitsetSerializedBytes": 1,
        "bitsetEncodedBytes": "text",
        "bitcount": "text",
        "bitcountCardinality": 1,
        "bitcountTotalCount": 1,
        "bitcountSerializedBytes": 1,
        "bitcountEncodedBytes": "text",
        "hll": "text",
        "hllBytes": 1,
        "dataSampling": {
          "sample": {
            "filename": "text",
            "maxCount": 1,
            "count": 1,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "patternAnalysis": {
          "ok": true,
          "targetCount": 1,
          "failCount": 1,
          "lengthMax": 1,
          "uppercaseRatioThreshold": 1,
          "totalSamples": 1,
          "discardedSamples": 1,
          "patterns": [
            {
              "pattern": "text",
              "sample": "text",
              "counter": 1,
              "mins": "text",
              "maxs": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ],
          "patternCandidates": [
            {
              "compactPattern": "text",
              "match": 1,
              "loose": "text",
              "caseSensitive": "text",
              "rangeSensitive": "text",
              "strict": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ],
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sampleValues": [
          "text"
        ],
        "countDistinct": [
          {
            "value": "text",
            "count": 1,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ]
      }
    }
  ]
}

Filter Profiling Information

post

Returns profiling statistics for entities filtered by criteria with pagination support, including stats, sampling, pattern analysis, and countDistinct values.

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body

At least one filter must be provided

pageinteger · min: 1Optional

Page number for pagination (starts from 1)

Default: 1
perPageinteger · min: 1 · max: 10000Optional

Number of items per page (max 1000)

Default: 100
Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v1/entities/filter/profiling-info
POST /api/public/v1/entities/filter/profiling-info HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "filters": {
    "parentIds": [
      "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    ]
  }
}
{
  "status": 200,
  "data": [
    {
      "_id": "text",
      "name": "text",
      "type": "text",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "rootId": "text",
      "parentId": "text",
      "resourceId": "text",
      "resourceName": "text",
      "dataCollections": [
        {
          "id": "text"
        }
      ],
      "profilingInfo": {
        "_id": "text",
        "connectionStringType": "text",
        "dbtype": "text",
        "bindType": "text",
        "lastUpdate": "2026-01-01T00:00:00.000Z",
        "inputFilter": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "stats": {
          "rowCount": 1,
          "nullCount": 1,
          "blankCount": 1,
          "min": 1,
          "max": 1,
          "nonNullCount": 1,
          "average": 1,
          "stdev": 1,
          "density": 1,
          "selectivity": 1,
          "uniqueness": 1,
          "lexicalMin": "text",
          "lexicalMax": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "bitset": "text",
        "bitsetCardinality": 1,
        "bitsetTotalCount": 1,
        "bitsetSerializedBytes": 1,
        "bitsetEncodedBytes": "text",
        "bitcount": "text",
        "bitcountCardinality": 1,
        "bitcountTotalCount": 1,
        "bitcountSerializedBytes": 1,
        "bitcountEncodedBytes": "text",
        "hll": "text",
        "hllBytes": 1,
        "dataSampling": {
          "sample": {
            "filename": "text",
            "maxCount": 1,
            "count": 1,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "patternAnalysis": {
          "ok": true,
          "targetCount": 1,
          "failCount": 1,
          "lengthMax": 1,
          "uppercaseRatioThreshold": 1,
          "totalSamples": 1,
          "discardedSamples": 1,
          "patterns": [
            {
              "pattern": "text",
              "sample": "text",
              "counter": 1,
              "mins": "text",
              "maxs": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ],
          "patternCandidates": [
            {
              "compactPattern": "text",
              "match": 1,
              "loose": "text",
              "caseSensitive": "text",
              "rangeSensitive": "text",
              "strict": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ],
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "sampleValues": [
          "text"
        ],
        "countDistinct": [
          {
            "value": "text",
            "count": 1,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ]
      }
    }
  ],
  "pageInfo": {
    "currentPage": 1,
    "perPage": 1,
    "totalCount": 1,
    "pageCount": 1
  }
}

Last updated

Was this helpful?